**********************************************
*ISQ replication materials for               *  
*"Who Keeps the Peace: Understanding State   *
*Contributions to UN Peacekeeping Operations"*
*by Jacob Kathman and Molly Melin            *
**********************************************

use "KM_ISQ_2016_Replication_Data.dta"

*Table 1
*Model 1
zinb troopsdec rivalryLag c.yrs_since_last_failcoupattLag##c.yrs_since_last_failcoupattLag troopsdecLag , inflate (troopsdecDumLag) cl(ccode)
*Model 2
zinb troopsdec rivalryLag c.yrs_since_last_failcoupattLag##c.yrs_since_last_failcoupattLag troopsdecLag majorcivilwarLag NumMissionsWorldWideDec demdumLag autocdumLag, inflate (troopsdecDumLag PKO_host yrcount yrcountSq yrcountCu  demdumLag autocdumLag  NumMissionsWorldWideDec majorcivilwarLag lnrgdppcLag regionAmericas regionEurope regionAfrica regionMENA regionAsia ) cl(ccode)

*Substantive Effects
margins, at(rivalryLag=(0(1)1)) atmeans
margins, at(yrs_since_last_failcoupattLag=(1(1)60)) atmeans
marginsplot, ylabel(0(40)200) recast(line) recastci(rarea) scheme(s1mono) ytitle(Troop Contributions) xtitle("Years Since Most Recent Failed Coup") note("Shaded region corresponds to 95% CI")





